Bug 177802 - Non-UTF8 docs for Gtk2::Helper, spurious Provides: perl(main)
Summary: Non-UTF8 docs for Gtk2::Helper, spurious Provides: perl(main)
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Gtk2   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-14 13:09 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 21:05:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-01-14 13:09:42 UTC
$ man Gtk2::Helper | sed -n 1,3p
    XXX
    XXX WARNING: old character encoding and/or character set
    XXX
    $ perldoc Gtk2::Helper | sed -n 1,3p
    XXX
    XXX WARNING: old character encoding and/or character set
    XXX

Fix: in %prep:
iconv -f iso-8859-1 -t utf-8 -o pm/Helper.pm{.utf8,} ; mv pm/Helper.pm{.utf8,}

Can very well wait for the next upstream Gtk2 release IMO.

Comment 1 Ville Skyttä 2006-01-16 20:04:50 UTC
Also, the package provides perl(main), which should be filtered out.

Comment 2 Jose Pedro Oliveira 2006-01-19 17:01:56 UTC
Changes committed to the devel branch (the new Gtk2 version fails one
test in FC4).
Will build it as soon as the building system is back online.

Comment 3 Jose Pedro Oliveira 2006-01-19 19:11:00 UTC
perl-Gtk2-1.103 built for devel only.

Comment 4 Jose Pedro Oliveira 2006-03-15 21:05:34 UTC
Closing. 
perl-Gtk2-1.120 has been built for FC-4 and devel
(previous version failed one test in FC-4).


Note You need to log in before you can comment on or make changes to this bug.